
From: Adrian Bunk <bunk@stusta.de>

These module exports have no callers.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/kernel/sal.c |   15 ---------------
 1 files changed, 15 deletions(-)

diff -puN arch/ia64/kernel/sal.c~remove-exports-for-oem-modules arch/ia64/kernel/sal.c
--- 25/arch/ia64/kernel/sal.c~remove-exports-for-oem-modules	Thu Mar 24 16:54:04 2005
+++ 25-akpm/arch/ia64/kernel/sal.c	Thu Mar 24 16:54:04 2005
@@ -273,7 +273,6 @@ ia64_sal_oemcall(struct ia64_sal_retval 
 	SAL_CALL(*isrvp, oemfunc, arg1, arg2, arg3, arg4, arg5, arg6, arg7);
 	return 0;
 }
-EXPORT_SYMBOL(ia64_sal_oemcall);
 
 int
 ia64_sal_oemcall_nolock(struct ia64_sal_retval *isrvp, u64 oemfunc, u64 arg1,
@@ -286,17 +285,3 @@ ia64_sal_oemcall_nolock(struct ia64_sal_
 			arg7);
 	return 0;
 }
-EXPORT_SYMBOL(ia64_sal_oemcall_nolock);
-
-int
-ia64_sal_oemcall_reentrant(struct ia64_sal_retval *isrvp, u64 oemfunc,
-			   u64 arg1, u64 arg2, u64 arg3, u64 arg4, u64 arg5,
-			   u64 arg6, u64 arg7)
-{
-	if (oemfunc < IA64_SAL_OEMFUNC_MIN || oemfunc > IA64_SAL_OEMFUNC_MAX)
-		return -1;
-	SAL_CALL_REENTRANT(*isrvp, oemfunc, arg1, arg2, arg3, arg4, arg5, arg6,
-			   arg7);
-	return 0;
-}
-EXPORT_SYMBOL(ia64_sal_oemcall_reentrant);
_
